UPTIME(1)

BEZEICHNUNG
uptime - feststellen, wie lange das System schon läuft

ÜBERSICHT
uptime [Optionen]

BESCHREIBUNG
uptime zeigt in einer Zeile die folgenden Informationen an: die aktuelle Zeit, wie lange das System bereits läuft, die Anzahl der aktuell angemeldeten Benutzer und die durchschnittliche Auslastung des Systems in den letzten 1, 5 und 15 Minuten.

Dies sind dieselben Informationen, die auch in der Kopfzeile des Befehls w(1) angezeigt werden.

Die durchschnittliche Auslastung des Systems ist die durchschnittliche Anzahl der Prozesse, die entweder in einem lauffähigen oder nicht unterbrechbaren Zustand sind. Lauffähiger Zustand bedeutet, dass ein Prozess entweder gerade die CPU benutzt oder darauf wartet, sie benutzen zu können. Der nicht unterbrechbare Zustand bedeutet, dass ein Prozess auf einen E/A-Zugriff wartet, beispielsweise auf die Festplatte. Die Durchschnitte werden über drei Zeitintervalle gebildet. Die durchschnittliche Auslastung wird nicht auf die Anzahl der CPUs in einem System normalisiert, so dass eine Auslastung von 1 bei einem System mit einer CPU bedeutet, dass das System zu jeder Zeit voll ausgelastet ist. Auf einem System mit vier CPUs bedeutet dieselbe Auslastung, dass der Rechner während 75% der Zeit im Leerlauf war.

OPTIONEN

-p, --pretty
    Uptime im schönen Format anzeigen

-h, --help
    Diesen Hilfetext anzeigen

-s, --since
    system up since, in yyyy-mm-dd MM:HH:SS format

-V, --version
    Versionsinformation anzeigen und beenden

DATEIEN

/var/run/utmp
    Informationen darüber, wer gerade angemeldet ist

/proc
    Prozessinformationen

AUTOREN
uptime wurde von Larry Greenfield (greenfie@gauss.rutgers.edu) und Michael K. Johnson (johnsonm@sunsite.unc.edu) geschrieben.

SIEHE AUCH
ps(1), top(1), utmp(5), w(1)

FEHLER BERICHTEN
Bitte schicken Sie Fehlerberichte an procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.